OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.DrawElementsBaseVertex

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBDrawElementsBaseVertex :: MonadIO m => m Bool
- gl_ARB_draw_elements_base_vertex :: Bool
- glDrawElementsBaseVertex :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLint -> m ()
- glDrawElementsInstancedBaseVertex :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> m ()
- glDrawRangeElementsBaseVertex :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> GLint -> m ()
- glMultiDrawElementsBaseVertex :: MonadIO m => GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetARBDrawElementsBaseVertex :: MonadIO m => m Bool

Is the ARB_draw_elements_base_vertex extension supported?

gl_ARB_draw_elements_base_vertex :: Bool

Is the ARB_draw_elements_base_vertex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawElementsBaseVertex` in those cases instead.

# Functions

glDrawElementsBaseVertex

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type `DrawElementsType`.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLint | `basevertex`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawElementsInstancedBaseVertex

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type `DrawElementsType`.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLsizei | `instancecount`.
-> GLint | `basevertex`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDrawRangeElementsBaseVertex

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> GLenum | `type` of type `DrawElementsType`.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> GLint | `basevertex`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glMultiDrawElementsBaseVertex

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(drawcount)` elements of type `GLsizei`.
-> GLenum | `type` of type `DrawElementsType`.
-> Ptr (Ptr a) | `indices` pointing to `COMPSIZE(drawcount)` elements of type `Ptr a`.
-> GLsizei | `drawcount`.
-> Ptr GLint | `basevertex` pointing to `COMPSIZE(drawcount)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.